Sql Server Instances - run Managed Instance Link Assessment

Runs Managed Instance Link assessment for SQL Server instance

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.AzureArcData/sqlServerInstances/{sqlServerInstanceName}/runManagedInstanceLinkAssessment?api-version=2026-01-01

URI Parameters

Name In Required Type Description
resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

sqlServerInstanceName
path True

string

Name of SQL Server Instance

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

Name Type Description
sqlServerInstanceManagedInstanceLinkAssessmentRequest

SqlServerInstanceManagedInstanceLinkAssessmentRequest

Contains the parameters to run SQL Server instance MI link assessment.

Responses

Name Type Description
200 OK

SqlServerInstanceManagedInstanceLinkAssessmentResponse

OK

202 Accepted

Arc SQL Server MI link assessment is in progress.

Headers

  • Retry-After: integer
  • Location: string
  • Azure-AsyncOperation: string
Other Status Codes

ErrorResponse

*** Error Responses: ***

Examples

Sample request

POST https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.AzureArcData/sqlServerInstances/testsqlserver/runManagedInstanceLinkAssessment?api-version=2026-01-01

{
  "azureManagedInstanceResourceId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.Sql/managedInstances/testmi",
  "azureManagedInstanceRole": "Secondary",
  "databaseNames": [
    "testdb",
    "testdb2",
    "testdb3"
  ],
  "availabilityGroupName": "AG_testdb",
  "distributedAvailabilityGroupName": "MiLinkDag",
  "assessmentCategories": [
    "SqlInstance",
    "ManagedInstance",
    "ManagedInstanceCrossValidation",
    "DagCrossValidation"
  ],
  "sqlServerIpAddress": "192.168.1.2"
}

Sample response

{
  "assessments": [
    {
      "name": "MicrosoftPkiCertificate",
      "category": "Certificates",
      "status": "Success",
      "information": "Microsoft PKI certificate trust configured",
      "additionalInformation": "Placeholder additional information"
    },
    {
      "name": "DatabaseMirroringEndpoint",
      "category": "SqlInstance",
      "status": "Success",
      "information": "Database Mirroring Endpoint present",
      "additionalInformation": "Placeholder additional information"
    },
    {
      "name": "DatabaseMirroringEndpointAuthentication",
      "category": "SqlInstance",
      "status": "Success",
      "information": "Database Mirroring Endpoint secured with a certificate",
      "additionalInformation": "Placeholder additional information"
    },
    {
      "name": "DatabaseMirroringEndpointEncryption",
      "category": "SqlInstance",
      "status": "Success",
      "information": "Database Mirroring Endpoint encryption enabled",
      "additionalInformation": "Placeholder additional information"
    },
    {
      "name": "DatabaseMirroringEndpointEncryptionAlgorithm",
      "category": "SqlInstance",
      "status": "Success",
      "information": "Database Mirroring Endpoint encryption algorithm is AES",
      "additionalInformation": "Placeholder additional information"
    },
    {
      "name": "AlwaysOn",
      "category": "SqlInstance",
      "status": "Failure",
      "information": "Always-On Availability Groups enabled",
      "additionalInformation": "Placeholder additional information"
    },
    {
      "name": "DatabaseNameNotInUse",
      "category": "ManagedInstanceDatabase",
      "status": "Failure",
      "information": "Database name not already in use",
      "additionalInformation": "There must not already be a database with the same name as any of the SQL Server databases selected for MI Link.",
      "failingDbs": [
        "testdb2"
      ]
    }
  ]
}
Retry-After: 10
Azure-AsyncOperation: https://management.azure.com/providers/Microsoft.AzureArcData/locations/eastus2euap/operationStatuses/5abb198d-cc4b-46bd-9e6c-e3f0ba22015d?api-version=2026-01-01
Location: https://management.azure.com/providers/Microsoft.AzureArcData/locations/eastus2euap/operationStatuses/5abb198d-cc4b-46bd-9e6c-e3f0ba22015d?api-version=2026-01-01

Definitions

Name Description
assessmentStatus

The status of the requirement.

azureManagedInstanceRole

The role of managed instance in a distributed availability group, can be Primary or Secondary.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

miLinkAssessmentCategory

Validation category for the MI Link prerequisites assessment.

SqlServerInstanceManagedInstanceLinkAssessment

The list of the results for MI Link assessment.

SqlServerInstanceManagedInstanceLinkAssessmentRequest

Contains the parameters to run SQL Server instance MI link assessment.

SqlServerInstanceManagedInstanceLinkAssessmentResponse

The response containing the results of the MI Link assessment.

assessmentStatus

The status of the requirement.

Value Description
Success
Warning
Failure

azureManagedInstanceRole

The role of managed instance in a distributed availability group, can be Primary or Secondary.

Value Description
Primary
Secondary

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

miLinkAssessmentCategory

Validation category for the MI Link prerequisites assessment.

Value Description
SqlInstance

Assessments of the given instance on the on-premise SQL Server (box).

SqlInstanceDatabase

Assessments of the database(s) on the given instance on the on-premise SQL Server (box).

ManagedInstance

Assessments of the Managed Instance.

ManagedInstanceDatabase

Assessments of the database(s) on the Managed Instance.

ManagedInstanceCrossValidation

Assessments that use data from both the Managed Instance and the given instance of the on-premise SQL Server (box) for the validations.

Certificates

Assessments of the necessary certificates configuration.

BoxToMiNetworkConnectivity

Assessment of network connectivity from the on-premise SQL Server (box) to the Managed Instance.

MiToBoxNetworkConnectivity

Assessments of network connectivity from the Managed Instance to the on-premise SQL Server (box).

SqlInstanceAg

Assessments of the chosen Availability Group.

DagCrossValidation

Assessments of the chosen Distributed Availability Group.

SqlServerInstanceManagedInstanceLinkAssessment

The list of the results for MI Link assessment.

Name Type Description
additionalInformation

string

Additional details about the check, including any recommended actions.

category

miLinkAssessmentCategory

Validation category for the MI Link prerequisites assessment.

failingDbs

string[]

List of names of databases that are failing the given assessment.

information

string

The information text about requirement.

name

string

The name of the requirement.

status

assessmentStatus

The status of the requirement.

SqlServerInstanceManagedInstanceLinkAssessmentRequest

Contains the parameters to run SQL Server instance MI link assessment.

Name Type Description
assessmentCategories

miLinkAssessmentCategory[]

An array of strings, where each value represents the category of the assessment to be run. If this field is not provided, all assessment categories will be run.

availabilityGroupName

string

The name of the availability group to be used for the database replication.

azureManagedInstanceResourceId

string (arm-id)

The Azure SQL Managed Instance resource ID to link with the SQL Server instance.

azureManagedInstanceRole

azureManagedInstanceRole

The role of managed instance in a distributed availability group, can be Primary or Secondary.

databaseNames

string[]

An array of strings, where each value represents the name of a database to be replicated to the Azure SQL Managed Instance.

distributedAvailabilityGroupName

string

The name of the DAG to be used for the database replication. Also referred to as Link Name.

sqlServerIpAddress

string

The IP address of the SQL Server instance.

SqlServerInstanceManagedInstanceLinkAssessmentResponse

The response containing the results of the MI Link assessment.

Name Type Description
assessments

SqlServerInstanceManagedInstanceLinkAssessment[]

The list of the results for MI Link assessment.